Name:     yumex-dnf
Version:  4.3.3
Release:  %mkrel 6
Summary:  A graphical package management tool powered by DNF

Group:    System/Packaging
License:  GPLv2+
URL:      http://yumex.dk
Source0:  https://github.com/timlau/yumex-dnf/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: python3-devel

Requires: python3-dnfdaemon >= 0.3.15
Requires: python3-gobject3 >= 3.10
Requires: python3-pyxdg
Requires: python3-dbus
Requires: python3-cairo


%description
Yum Extender is a graphical package management tool that provides easy access
to the powerful functionality of Yum. This version of Yum Extender is powered
by DNF, the next generation package manager designed to replace Yum.


%prep
%setup -q


%build
%make_build


%install
make install PYTHON=%{__python3} DESTDIR=%{buildroot} DATADIR=%{_datadir}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}-local.desktop

%find_lang %name

%files -f  %{name}.lang
%doc README.md ChangeLog
%license COPYING
%{_datadir}/%{name}
%{_bindir}/%{name}*
%{python3_sitelib}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/appdata/*.xml



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 4.3.3-6.mga8
+ Revision: 1535887
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 4.3.3-5.mga8
+ Revision: 1452948
- rebuild with python 3.8

* Sat Jan 12 2019 tmb <tmb> 4.3.3-4.mga7
+ Revision: 1355285
- rebuild for python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 4.3.3-3.mga7
+ Revision: 1292318
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 4.3.3-2.mga7
+ Revision: 1135723
- Rebuild for python 3.6

* Sun May 15 2016 ngompa <ngompa> 4.3.3-1.mga6
+ Revision: 1015644
- Update to 4.3.3

* Sun Jan 24 2016 ngompa <ngompa> 4.1.6-1.mga6
+ Revision: 926861
- Update to 4.1.6

* Sun Oct 25 2015 ngompa <ngompa> 4.1.4-2.mga6
+ Revision: 895403
- Initial import of yumex-dnf for Mageia


* Sun Oct 25 2015 Neal Gompa <ngompa13{%%}gmail{*}com> - 4.1.4-2
- Port to Mageia

* Wed Sep 30 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.1.4-1
- bumped release to 4.1.4
- need python3-dnfdaemon >= 0.3.10

* Wed May 27 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.1.3-1
- bumped release to 4.1.3
- need python3-dnfdaemon >= 0.3.9

* Sun Apr 26 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.1.2-1
- bumped release to 4.1.2
- need python3-dnfdaemon >= 0.3.8

* Sun Apr 26 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.1.1-1
- bumped release to 4.1.1

* Thu Apr 16 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.1.0-2
- require python3-dnfdaemon >= 0.3.6

* Sun Apr 12 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.1.0-1
- bumped release to 4.1.0

* Sat Apr 11 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.0.10-3
- fixed changelog versioning

* Thu Apr 9 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.0.10-1
- bumped release to 4.0.10

* Tue Apr 7 2015 Tim Lauridsen <timlau@fedoraproject.org> 4.0.9-1
- bumped release to 4.0.9

* Tue Oct 21 2014 Tim Lauridsen <timlau@fedoraproject.org> 4.0.8-1
- bumped release to 4.0.8
- require python3-dnfdaemon >= 0.3.3

* Sun Sep 21 2014 Tim Lauridsen <timlau@fedoraproject.org> 4.0.7-1
- bumped release to 4.0.7

* Tue Sep 02 2014 Tim Lauridsen <timlau@fedoraproject.org> 4.0.6-1
- bumped release to 4.0.6

* Fri Jun 06 2014 Tim Lauridsen <timlau@fedoraproject.org> 4.0.5-1
- bumped release to 4.0.5
- Requires: python3-dnfdaemon-client >= 0.2.2

* Fri May 09 2014 Tim Lauridsen <timlau@fedoraproject.org> 4.0.4-1
- bumped release to 4.0.4
- Requires: python3-dnfdaemon-client >= 0.2.0

* Sat May 03 2014 Tim Lauridsen <timlau@fedoraproject.org> 4.0.3-1
- bumped release to 4.0.3
- Requires: python3-dnfdaemon >= 0.1.5

* Tue Apr 01 2014 Tim Lauridsen <timlau@fedoraproject.org> 4.0.2-1
- bumped release to 4.0.2
- Requires: python3-dnfdaemon >= 0.1.4

* Sat Mar 29 2014 Tim Lauridsen <timlau@fedoraproject.org> 4.0.1-1
- bumped release to 4.0.1

* Sun Sep 15 2013 Tim Lauridsen <timlau@fedoraproject.org> 3.99.1-1
- Initial rpm build

